diff mbox series

[2/7] test/qemu: Fix test

Message ID 20211105172620.304780-3-fbarrat@linux.ibm.com
State Accepted
Headers show
Series CI updates | expand

Commit Message

Frederic Barrat Nov. 5, 2021, 5:26 p.m. UTC
Fix a syntax error in the expect script.

Add -nographic when starting qemu to avoid problems on systems where
gtk is installed.

Signed-off-by: Frederic Barrat <fbarrat@linux.ibm.com>
---
 test/run_qemu_boot_test.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
diff mbox series

Patch

diff --git a/test/run_qemu_boot_test.sh b/test/run_qemu_boot_test.sh
index 791a7508..aefd911b 100755
--- a/test/run_qemu_boot_test.sh
+++ b/test/run_qemu_boot_test.sh
@@ -2,6 +2,7 @@ 
 
 QEMU_ARGS="-M powernv -nodefaults -device ipmi-bmc-sim,id=bmc0 -serial none"
 QEMU_ARGS+=" -device isa-serial,chardev=s1 -chardev stdio,id=s1,signal=off"
+QEMU_ARGS+=" -nographic"
 
 if [ -z "$QEMU_BIN" ]; then
     QEMU_BIN="qemu-system-ppc64"
@@ -38,7 +39,7 @@  set timeout 600
 spawn $QEMU_BIN $QEMU_ARGS -bios skiboot.lid -kernel $SKIBOOT_ZIMAGE
 expect {
 timeout { send_user "\nTimeout waiting for petitboot\n"; exit 1 }
-eof { send_user "\nUnexpected EOF\n;" exit 1 }
+eof { send_user "\nUnexpected EOF\n"; exit 1 }
 "Could not load OPAL firmware" { send_user "\nSkiboot is too large for this Qemu, skipping\n"; exit 4; }
 "Machine Check Stop" { exit 1; }
 "Trying to write privileged spr 338" { send_user "\nUpgrade Qemu: needs PCR register\n"; exit 3 }